Reimplement signature form field and related utility classes in poppler generator
AbandonedPublic

Authored by aacid on Aug 6 2018, 5:33 PM.

Details

Summary

This adds class PopplerFormFieldSignature, PopplerSignatureInfo and PopplerCertificateInfo in poppler
generator.

Depends on D14654

Diff Detail

Repository
R223 Okular
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1572
Build 1590: arc lint + arc unit
chinmoyr created this revision.Aug 6 2018, 5:33 PM
Restricted Application added a project: Okular. · View Herald TranscriptAug 6 2018, 5:33 PM
Restricted Application added a subscriber: okular-devel. · View Herald Transcript
chinmoyr requested review of this revision.Aug 6 2018, 5:33 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 14 2018, 2:31 PM
This revision was automatically updated to reflect the committed changes.
chinmoyr reopened this revision.Aug 14 2018, 2:40 PM
aacid commandeered this revision.Jan 10 2019, 10:20 PM
aacid abandoned this revision.
aacid edited reviewers, added: chinmoyr; removed: aacid.

This has been merged as part of https://commits.kde.org/okular/a234a902dcfff249d8f1d41dfbc257496c81d84e

Abandoning because phabricator doesn't have a "merged as part of a different commit" option.

volkov added a subscriber: volkov.Tue, May 21, 3:26 PM
volkov added inline comments.
generators/poppler/formfields.h
134

It's available since poppler 0.51, so this change broke build with older versions.